PO4A-UPDATEPO.1P(1) User Contributed Perl Documentation PO4A-UPDATEPO.1P(1)

名稱

po4a-updatepo - 更新文件的翻譯(PO 格式)

簡介

po4a-updatepo -f fmt (-m master.doc)+ (-p XX.po)+

XX.po 是輸出,所有其他都是輸入)

描述

Po4a (PO For Anything) 專案的目標是在文件等不需要翻譯的領域使用 gettext 工具簡化翻譯(更有趣的是,簡化翻譯的維護)。

po4a-updatepo負責更新 PO 檔案,使其反映對原始文件檔案所做的更改。為此,它將文件檔案轉換為 POT 檔案,並在此新 POT 和提供的 PO 檔案中呼叫 msgmerge(1)

可以提供多個 PO 檔案(如果要同時更新多種語言)和多個文件檔案(如果要將多個文檔的翻譯儲存在同一個 PO 檔案中)。

如果主文件包含非 ASCII 字元,該指令碼將把 PO 檔案轉換為 UTF-8 (如果它們還沒有),以便透明地處理非標準字元。

選項

要處理的文件的格式。使用 --help-format 幫助格式選項檢視可用格式的列表。
包含要翻譯的主文件的檔案。
包含要翻譯的文件的檔案的字符集。請注意,所有檔案必須具有相同的字符集。
要更新的 PO 檔案。如果這些檔案不存在,則由 B <po4a-updatepo>。
要傳遞給格式外掛的額外選項。有關有效選項及其含義的更多資訊,請參閱每個外掛的文件。例如,您可以將 '-o tablecells' 傳遞給 AsciiDoc 解析器,而文字解析器將接受 '-o tabs=split'。
This option removes --previous from the options passed to msgmerge. This helps supporting old versions of gettext (before v0.16).
此選項 --previous 新增到傳遞給 msgmerge 的選項中。它需要 gettext 0.16 或更高版本,並在預設情況下啟用。
msgmerge(1) 的其他選項。
顯示簡短的幫助訊息。
列出 po4a 理解的文件格式。
顯示指令碼的版本並退出。
增加程式的冗長程度。
輸出一些除錯資訊。
指定引用格式。引數 type 可以是以下值之一:never 不生成任何引用;file 只指定不帶行號的檔案;counter 用遞增的計數器替換行號;full 包含完整引用(預設值:full)。

引數後跟逗號和 wrap nowrap 關鍵字。 預設情況下,引用在一行上寫入。 wrap 將引用封裝在多行上,以模擬 gettext工具(xgettext msgmerge)。 此選項將成為將來版本中的預設值,因為它更明智。 nowrap 選項可用,以便想要保留舊行為的使用者可以這樣做。

指定應如何封裝 po 檔案。這使我們可以選擇封裝良好但可能導致 git 衝突的檔案,或者更容易自動處理但對人類來說更難讀取的檔案。

從歷史上看, gettext 套件重新格式化了化妝品第 77 列的 po 檔案。此選項指定 po4a 的行為。如果設定為數值,po4a 將在此列之後和內容中的換行符之後換行 po 文件。如果設定為 B <newlines>,po4a 將僅在內容中的符線後拆分 msgid 和 msgstr。如果設定為 no,po4a 將不會封裝 po 檔案。 引用註釋的封裝由 --porefs 選項控制。

請注意,此選項對 msgid 和 msgstr 的封裝方式(即,將換行符新增到這些字串的內容中)沒有影響。

設定 msgid 錯誤的報告地址。 預設情況下,建立的 POT 檔案沒有 Report-Msgid-Bugs-To 欄位。
在 POT 標頭中設定版權所有者。 預設值為“自由軟體基金會有限公司。”
設定 POT 標頭的程式包名稱。 預設值為“封裝”。
設定 POT 標頭的軟體包版本。 預設值為“版本”。

另請參見

po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

作者

Denis Barbier <barbier@linuxfr.org>
Nicolas François <nicolas.francois@centraliens.net>
Martin Quinson (mquinson#debian.org)

版權和許可

Copyright 2002-2023 by SPI, inc.

This program is free software; you may redistribute it and/or modify it under the terms of GPL v2.0 or later (see the COPYING file).

2024-02-07 perl v5.38.1